---
# Fixture used to verify role derivation is working correctly
cells:
  - name: Destroyer
    type: Generalist
    notes: ""
    tags:
      - developer
    members:
      - name: Jim Bob
        email: jim@example.com
        membership: contractor
        roles: []
      - name: Kylo Ren
        email: kylo@empire.gov
        membership: core
        roles:
          - name: DevOps Specialist
            scope: cell
            position: primary
      - name: Batman
        email: batman@wayne.com
        membership: core
        roles:
          - name: Sprint Planning Manager
            scope: cell
          - name: Community Liaison
            scope: company
          - name: Developer Advocate
            scope: company
      - name: Hunter the Cat
        email: hunter@meow.net
        membership: core
        roles:
          - name: DevOps Specialist
            scope: cell
            position: backup
          - name: Developer Advocate
            scope: company
          - name: Community Liaison
            scope: company
            position: backup
    tools:
      chat: https://example.com/destroyer/chat
      sprint_board: https://example.com/destroyer/sprint
      backlog: https://example.com/destroyer/backlog
      epics_board: https://example.com/destroyer/epics
    rules: []

  - name: Dreadnought
    type: Support
    notes: Have you tried turning it off again.
    tags:
      - Cool
    members:
      - name: Frankie the Cat
        email: frankie@meow.com
        roles:
          - name: UX Designer
            scope: company
          - name: Product Manager
            scope: company
        membership: contractor
      - name: Walter White
        email: wwhite@jpwynne.albuquerque.nm.us
        roles:
          - name: Business Development Specialist
            scope: company
          - name: Sprint Manager
            scope: cell
        membership: core
      - name: Inspector Gadget
        email: gadget@sneakretservice.gov
        membership: core
        roles:
          - name: Cell Supporter
            scope: company
          - name: Epic Planning and Sustainability Manager
            scope: delegated
            delegating_cell: Destroyer
    rules: [Casual Fridays, though no one can tell.]
    tools:
      chat: https://example.com/dreadnought/chat
      sprint_board: https://example.com/dreadnought/sprint
      backlog: https://example.com/dreadnought/backlog
      epics_board: https://example.com/dreadnought/epics

# Note: The meta cell is composed (presently) of only the execs who don't have
# the same sprint planning process as the rest of the team, and handle their
# own sprints. SprintCraft does not currently handle these sprints, but we
# include this key to ensure it matches the format of our canonical
# organization YAML file.
meta_cell:
  tags:
    - Science!
    - Spaaaaace
  members:
    - name: Copernicus
      email: copernicus@math.com
      membership: core
      roles:
        - name: Chief Technology Officer (CTO)
          scope: company
    - name: Sir Isaac Newton
      email: newton@math.com
      membership: core
      roles:
        - name: Chief Executive Officer (CEO)
          scope: company
